<?php
/**
* 整数クラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class Integer
{
	private $_value;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $value )
	{
		$this->_value      = $value;
	}

	/*
	 *	値を取得
	 */
	public function getValue()
	{
		return $this->_value;
	}

	/*
	 *	文字列化
	 */
	public function __toString()
	{
//		return $this->_value . "(" . $this->_encoding . ")";
		return is_string($this->_value) ? $this->_value : '';
	}

}
